apiVersion: apps/v1
kind: Deployment
metadata:
 name: web_server
 labels:
  app: webapp
  tier: frontend
spec:
 replicas: 2
 selector:
  matchLabels:
    app: webapp
    tier: frontend
 template: # template for the pods
  metadata:
   labels:
     app: webapp
     tier: frontend
spec:
 containers:
 - name: webapp
   image: hshar/webapp
   ports:
   - containerPort: 8081
